<!DOCTYPE html><html lang="zh-CN" data-theme="light"><head><meta charset="UTF-8"><meta http-equiv="X-UA-Compatible" content="IE=edge"><meta name="viewport" content="width=device-width,initial-scale=1"><title>Ceph 报错 | SeMaik</title><meta name="author" content="ZuSir"><meta name="copyright" content="ZuSir"><meta name="format-detection" content="telephone=no"><meta name="theme-color" content="#ffffff"><meta name="description" content="ceph-deploy mon create-initial报错12345678[ceph_deploy.mds][INFO  ] Distro info: CentOS Linux 7.3.1611 Core[ceph_deploy.mds][DEBUG ] remote host will use systemd[ceph_deploy.mds][DEBUG ] deploying mds b">
<meta property="og:type" content="article">
<meta property="og:title" content="Ceph 报错">
<meta property="og:url" content="http://example.com/2021/02/05/Ceph-%E6%8A%A5%E9%94%99/index.html">
<meta property="og:site_name" content="SeMaik">
<meta property="og:description" content="ceph-deploy mon create-initial报错12345678[ceph_deploy.mds][INFO  ] Distro info: CentOS Linux 7.3.1611 Core[ceph_deploy.mds][DEBUG ] remote host will use systemd[ceph_deploy.mds][DEBUG ] deploying mds b">
<meta property="og:locale" content="zh_CN">
<meta property="og:image" content="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg">
<meta property="article:published_time" content="2021-02-05T04:48:00.000Z">
<meta property="article:modified_time" content="2021-02-06T10:24:20.000Z">
<meta property="article:author" content="ZuSir">
<meta name="twitter:card" content="summary">
<meta name="twitter:image" content="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg"><link rel="shortcut icon" href="https://myit.icu/favicon.ico"><link rel="canonical" href="http://example.com/2021/02/05/Ceph-%E6%8A%A5%E9%94%99/"><link rel="preconnect" href="//cdn.jsdelivr.net"/><link rel="preconnect" href="//busuanzi.ibruce.info"/><link rel="stylesheet" href="/css/index.css"><link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/@fortawesome/fontawesome-free/css/all.min.css" media="print" onload="this.media='all'"><script>const GLOBAL_CONFIG = { 
  root: '/',
  algolia: undefined,
  localSearch: undefined,
  translate: undefined,
  noticeOutdate: undefined,
  highlight: {"plugin":"highlighjs","highlightCopy":true,"highlightLang":true},
  copy: {
    success: '复制成功',
    error: '复制错误',
    noSupport: '浏览器不支持'
  },
  relativeDate: {
    homepage: true,
    post: false
  },
  runtime: '',
  date_suffix: {
    just: '刚刚',
    min: '分钟前',
    hour: '小时前',
    day: '天前',
    month: '个月前'
  },
  copyright: undefined,
  lightbox: 'fancybox',
  Snackbar: undefined,
  source: {
    jQuery: 'https://cdn.jsdelivr.net/npm/jquery@latest/dist/jquery.min.js',
    justifiedGallery: {
      js: 'https://cdn.jsdelivr.net/npm/justifiedGallery/dist/js/jquery.justifiedGallery.min.js',
      css: 'https://cdn.jsdelivr.net/npm/justifiedGallery/dist/css/justifiedGallery.min.css'
    },
    fancybox: {
      js: 'https://cdn.jsdelivr.net/npm/@fancyapps/fancybox@latest/dist/jquery.fancybox.min.js',
      css: 'https://cdn.jsdelivr.net/npm/@fancyapps/fancybox@latest/dist/jquery.fancybox.min.css'
    }
  },
  isPhotoFigcaption: false,
  islazyload: false,
  isanchor: false
}</script><script id="config-diff">var GLOBAL_CONFIG_SITE = { 
  isPost: true,
  isHome: false,
  isHighlightShrink: undefined,
  isToc: true,
  postUpdate: '2021-02-06 18:24:20'
}</script><noscript><style type="text/css">
  #nav {
    opacity: 1
  }
  .justified-gallery img {
    opacity: 1
  }

  #recent-posts time,
  #post-meta time {
    display: inline !important
  }
</style></noscript><script>(win=>{
    win.saveToLocal = {
      set: function setWithExpiry(key, value, ttl) {
        if (ttl === 0) return
        const now = new Date()
        const expiryDay = ttl * 86400000
        const item = {
          value: value,
          expiry: now.getTime() + expiryDay,
        }
        localStorage.setItem(key, JSON.stringify(item))
      },

      get: function getWithExpiry(key) {
        const itemStr = localStorage.getItem(key)

        if (!itemStr) {
          return undefined
        }
        const item = JSON.parse(itemStr)
        const now = new Date()

        if (now.getTime() > item.expiry) {
          localStorage.removeItem(key)
          return undefined
        }
        return item.value
      }
    }
  
    win.getScript = url => new Promise((resolve, reject) => {
      const script = document.createElement('script')
      script.src = url
      script.async = true
      script.onerror = reject
      script.onload = script.onreadystatechange = function() {
        const loadState = this.readyState
        if (loadState && loadState !== 'loaded' && loadState !== 'complete') return
        script.onload = script.onreadystatechange = null
        resolve()
      }
      document.head.appendChild(script)
    })
  
      const asideStatus = saveToLocal.get('aside-status')
      if (asideStatus !== undefined) {
        if (asideStatus === 'hide') {
          document.documentElement.classList.add('hide-aside')
        } else {
          document.documentElement.classList.remove('hide-aside')
        }
      }
    })(window)</script><link href="/css/style.css"><meta name="generator" content="Hexo 5.3.0"><link rel="alternate" href="/atom.xml" title="SeMaik" type="application/atom+xml">
</head><body><div id="web_bg"></div><div id="sidebar"><div id="menu-mask"></div><div id="sidebar-menus"><div class="author-avatar"><img class="avatar-img" src="/img/123.jpeg" onerror="onerror=null;src='/img/123.jpeg'" alt="avatar"/></div><div class="site-data"><div class="data-item is-center"><div class="data-item-link"><a href="/archives/"><div class="headline">文章</div><div class="length-num">152</div></a></div></div><div class="data-item is-center"><div class="data-item-link"><a href="/categories/"><div class="headline">分类</div><div class="length-num">37</div></a></div></div></div><hr/><div class="menus_items"><div class="menus_item"><a class="site-page" href="/"><i class="fa-fw fas fa-home"></i><span> 首页</span></a></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> Linux</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Linux/"><span> Linux</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> WEB</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Apache/"><span> Apache</span></a></li><li><a class="site-page" href="/categories/Nginx/"><span> Nginx</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 存储</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Ceph/"><span> Ceph</span></a></li><li><a class="site-page" href="/categories/NFS/"><span> NFS</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 日志</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Loki"><span> Loki</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 编程</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Shell"><span> Shell</span></a></li><li><a class="site-page" href="/categories/Python"><span> Python</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 高可用</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/KeepAlived/"><span> KeepAlived</span></a></li><li><a class="site-page" href="/categories/LVS/"><span> LVS</span></a></li><li><a class="site-page" href="/categories/Squid/"><span> Squid</span></a></li><li><a class="site-page" href="/categories/Haproxy/"><span> Haproxy</span></a></li><li><a class="site-page" href="/categories/Rsync/"><span> Rsync</span></a></li><li><a class="site-page" href="/categories/Memcache/"><span> Memcache</span></a></li><li><a class="site-page" href="/categories/Varnish/"><span> Varnish</span></a></li><li><a class="site-page" href="/categories/GRedis/"><span> Redis</span></a></li><li><a class="site-page" href="/categories/Rabbit/"><span> RabbitMQ</span></a></li><li><a class="site-page" href="/categories/Kafka/"><span> Kafka</span></a></li><li><a class="site-page" href="/categories/MHA/"><span> MHA</span></a></li><li><a class="site-page" href="/categories/PXC/"><span> PXC</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 虚拟化</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Docker/"><span> Docker</span></a></li><li><a class="site-page" href="/categories/Kubernetes/"><span> Kubernetes</span></a></li><li><a class="site-page" href="/categories/OpenStack/"><span> OpenStack</span></a></li><li><a class="site-page" href="/categories/KVM/"><span> KVM</span></a></li><li><a class="site-page" href="/categories/Containerd"><span> Containerd</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> Hexo</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Hexo/"><span> Hexo</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 数据库</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/MySQL/"><span> MySQL</span></a></li><li><a class="site-page" href="/categories/Readis/"><span> Readis</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 微服务</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Tomcat/"><span> Tomcat</span></a></li><li><a class="site-page" href="/categories/Git/"><span> Git</span></a></li><li><a class="site-page" href="/categories/Maven/"><span> Maven</span></a></li><li><a class="site-page" href="/categories/Nexus/"><span> Nexus</span></a></li><li><a class="site-page" href="/categories/Jenkins/"><span> Jenkins</span></a></li><li><a class="site-page" href="/categories/Spring/"><span> Spring</span></a></li><li><a class="site-page" href="/categories/Consul/"><span> Consul</span></a></li><li><a class="site-page" href="/categories/Harbor/"><span> Harbor</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 自动化</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Ansible/"><span> Ansible</span></a></li><li><a class="site-page" href="/categories/Pssh/"><span> Pssh</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="/link/"><i class="fa-fw fas fa-link"></i><span> 友链</span></a></div><div class="menus_item"><a class="site-page" href="/about/"><i class="fa-fw fas fa-heart"></i><span> 关于</span></a></div></div></div></div><div class="post" id="body-wrap"><header class="post-bg" id="page-header" style="background-image: url('https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg')"><nav id="nav"><span id="blog_name"><a id="site-name" href="/">SeMaik</a></span><div id="menus"><div class="menus_items"><div class="menus_item"><a class="site-page" href="/"><i class="fa-fw fas fa-home"></i><span> 首页</span></a></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> Linux</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Linux/"><span> Linux</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> WEB</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Apache/"><span> Apache</span></a></li><li><a class="site-page" href="/categories/Nginx/"><span> Nginx</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 存储</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Ceph/"><span> Ceph</span></a></li><li><a class="site-page" href="/categories/NFS/"><span> NFS</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 日志</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Loki"><span> Loki</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 编程</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Shell"><span> Shell</span></a></li><li><a class="site-page" href="/categories/Python"><span> Python</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 高可用</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/KeepAlived/"><span> KeepAlived</span></a></li><li><a class="site-page" href="/categories/LVS/"><span> LVS</span></a></li><li><a class="site-page" href="/categories/Squid/"><span> Squid</span></a></li><li><a class="site-page" href="/categories/Haproxy/"><span> Haproxy</span></a></li><li><a class="site-page" href="/categories/Rsync/"><span> Rsync</span></a></li><li><a class="site-page" href="/categories/Memcache/"><span> Memcache</span></a></li><li><a class="site-page" href="/categories/Varnish/"><span> Varnish</span></a></li><li><a class="site-page" href="/categories/GRedis/"><span> Redis</span></a></li><li><a class="site-page" href="/categories/Rabbit/"><span> RabbitMQ</span></a></li><li><a class="site-page" href="/categories/Kafka/"><span> Kafka</span></a></li><li><a class="site-page" href="/categories/MHA/"><span> MHA</span></a></li><li><a class="site-page" href="/categories/PXC/"><span> PXC</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 虚拟化</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Docker/"><span> Docker</span></a></li><li><a class="site-page" href="/categories/Kubernetes/"><span> Kubernetes</span></a></li><li><a class="site-page" href="/categories/OpenStack/"><span> OpenStack</span></a></li><li><a class="site-page" href="/categories/KVM/"><span> KVM</span></a></li><li><a class="site-page" href="/categories/Containerd"><span> Containerd</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> Hexo</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Hexo/"><span> Hexo</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 数据库</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/MySQL/"><span> MySQL</span></a></li><li><a class="site-page" href="/categories/Readis/"><span> Readis</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 微服务</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Tomcat/"><span> Tomcat</span></a></li><li><a class="site-page" href="/categories/Git/"><span> Git</span></a></li><li><a class="site-page" href="/categories/Maven/"><span> Maven</span></a></li><li><a class="site-page" href="/categories/Nexus/"><span> Nexus</span></a></li><li><a class="site-page" href="/categories/Jenkins/"><span> Jenkins</span></a></li><li><a class="site-page" href="/categories/Spring/"><span> Spring</span></a></li><li><a class="site-page" href="/categories/Consul/"><span> Consul</span></a></li><li><a class="site-page" href="/categories/Harbor/"><span> Harbor</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 自动化</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Ansible/"><span> Ansible</span></a></li><li><a class="site-page" href="/categories/Pssh/"><span> Pssh</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="/link/"><i class="fa-fw fas fa-link"></i><span> 友链</span></a></div><div class="menus_item"><a class="site-page" href="/about/"><i class="fa-fw fas fa-heart"></i><span> 关于</span></a></div></div><div id="toggle-menu"><a class="site-page"><i class="fas fa-bars fa-fw"></i></a></div></div></nav><div id="post-info"><h1 class="post-title">Ceph 报错</h1><div id="post-meta"><div class="meta-firstline"><span class="post-meta-date"><i class="far fa-calendar-alt fa-fw post-meta-icon"></i><span class="post-meta-label">发表于</span><time class="post-meta-date-created" datetime="2021-02-05T04:48:00.000Z" title="发表于 2021-02-05 12:48:00">2021-02-05</time><span class="post-meta-separator">|</span><i class="fas fa-history fa-fw post-meta-icon"></i><span class="post-meta-label">更新于</span><time class="post-meta-date-updated" datetime="2021-02-06T10:24:20.000Z" title="更新于 2021-02-06 18:24:20">2021-02-06</time></span><span class="post-meta-categories"><span class="post-meta-separator">|</span><i class="fas fa-inbox fa-fw post-meta-icon"></i><a class="post-meta-categories" href="/categories/Ceph/">Ceph</a></span></div><div class="meta-secondline"><span class="post-meta-separator">|</span><span class="post-meta-pv-cv"><i class="far fa-eye fa-fw post-meta-icon"></i><span class="post-meta-label">阅读量:</span><span id="busuanzi_value_page_pv"></span></span></div></div></div></header><main class="layout" id="content-inner"><div id="post"><article class="post-content" id="article-container"><h3 id="ceph-deploy-mon-create-initial报错"><a href="#ceph-deploy-mon-create-initial报错" class="headerlink" title="ceph-deploy mon create-initial报错"></a>ceph-deploy mon create-initial报错</h3><figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br><span class="line">7</span><br><span class="line">8</span><br></pre></td><td class="code"><pre><span class="line">[ceph_deploy.mds][INFO  ] Distro info: CentOS Linux 7.3.1611 Core</span><br><span class="line">[ceph_deploy.mds][DEBUG ] remote host will use systemd</span><br><span class="line">[ceph_deploy.mds][DEBUG ] deploying mds bootstrap to k8s-node1</span><br><span class="line">[k8s-node1][DEBUG ] write cluster configuration to /etc/ceph/&#123;cluster&#125;.conf</span><br><span class="line">[ceph_deploy.mds][ERROR ] RuntimeError: config file /etc/ceph/ceph.conf exists with different content; use --overwrite-conf to overwrite</span><br><span class="line">[ceph_deploy] [ERROR ] GenericError: Failed to create 1 MDSs</span><br><span class="line"><span class="comment"># 解决办法：</span></span><br><span class="line">[root@k8s-node1 ceph]<span class="comment"># ceph-deploy --overwrite-conf config push k8s-node1</span></span><br></pre></td></tr></table></figure>
<h3 id="osd不足三个导致Ceph-WARN"><a href="#osd不足三个导致Ceph-WARN" class="headerlink" title="osd不足三个导致Ceph WARN"></a>osd不足三个导致Ceph WARN</h3><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br></pre></td><td class="code"><pre><span class="line">如果创建池时不指定副本数量，则默认为3</span><br><span class="line">可通过osd_pool_default_size参数修改，还可以通过如下命令修改：</span><br><span class="line">ceph osd pool set &#123;pool-name&#125; size  &#123;number-of-replicas&#125; osd_pool_default_min_size参数可用于设置最对象可用的最小副本数，默认为2</span><br></pre></td></tr></table></figure>
<h3 id="Ceph-集群-WARN-：mon-host-node3"><a href="#Ceph-集群-WARN-：mon-host-node3" class="headerlink" title="Ceph 集群 WARN ：mon.host-node3"></a>Ceph 集群 WARN ：mon.host-node3</h3><figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br><span class="line">7</span><br><span class="line">8</span><br><span class="line">9</span><br><span class="line">10</span><br><span class="line">11</span><br><span class="line">12</span><br></pre></td><td class="code"><pre><span class="line">[root@host-node2 ceph]<span class="comment"># ceph -s</span></span><br><span class="line">  cluster:</span><br><span class="line">    id:     5a28f45d-b1f1-4f75-a735-80d5021763f0</span><br><span class="line">    health: HEALTH_WARN</span><br><span class="line">            clock skew detected on mon.host-node3</span><br><span class="line">  services:</span><br><span class="line">    mon: 3 daemons, quorum host-node2,host-node3,host-node8</span><br><span class="line">    mgr: host-node2(active)</span><br><span class="line">    osd: 3 osds: 3 up, 3 <span class="keyword">in</span></span><br><span class="line"><span class="comment"># 解决办法：</span></span><br><span class="line">[root@host-node3 ceph]<span class="comment"># ntpdate cn.ntp.org.cn &amp;&amp; systemctl restart ntpd </span></span><br><span class="line">[root@host-node2 ceph]<span class="comment"># systemctl restart ceph-mon.target</span></span><br></pre></td></tr></table></figure>
<h3 id="配置osd时出现以下问题"><a href="#配置osd时出现以下问题" class="headerlink" title="配置osd时出现以下问题"></a>配置osd时出现以下问题</h3><figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br><span class="line">7</span><br><span class="line">8</span><br><span class="line">9</span><br><span class="line">10</span><br><span class="line">11</span><br><span class="line">12</span><br><span class="line">13</span><br><span class="line">14</span><br><span class="line">15</span><br><span class="line">16</span><br><span class="line">17</span><br><span class="line">18</span><br><span class="line">19</span><br><span class="line">20</span><br><span class="line">21</span><br><span class="line">22</span><br><span class="line">23</span><br><span class="line">24</span><br><span class="line">25</span><br><span class="line">26</span><br><span class="line">27</span><br><span class="line">28</span><br><span class="line">29</span><br><span class="line">30</span><br><span class="line">31</span><br><span class="line">32</span><br><span class="line">33</span><br><span class="line">34</span><br><span class="line">35</span><br><span class="line">36</span><br><span class="line">37</span><br><span class="line">38</span><br><span class="line">39</span><br><span class="line">40</span><br><span class="line">41</span><br><span class="line">42</span><br><span class="line">43</span><br><span class="line">44</span><br><span class="line">45</span><br><span class="line">46</span><br><span class="line">47</span><br><span class="line">48</span><br><span class="line">49</span><br><span class="line">50</span><br><span class="line">51</span><br><span class="line">52</span><br><span class="line">53</span><br><span class="line">54</span><br><span class="line">55</span><br></pre></td><td class="code"><pre><span class="line"><span class="comment"># 报错如下：是因为磁盘不为空</span></span><br><span class="line">[yz-node1][WARNIN] Running <span class="built_in">command</span>: /bin/ceph-authtool --gen-print-key</span><br><span class="line">[yz-node1][WARNIN] Running <span class="built_in">command</span>: /bin/ceph --cluster ceph --name client.bootstrap-osd --keyring /var/lib/ceph/bootstrap-osd/ceph.keyring -i - osd new 8d59ceec-a885-4e9c-b947-8c607f18873e</span><br><span class="line">[yz-node1][WARNIN] Running <span class="built_in">command</span>: /usr/sbin/vgcreate -s 1G --force --yes ceph-4660e614-8006-458c-b32c-31be3f45b595 /dev/sdb</span><br><span class="line">[yz-node1][WARNIN]  stderr: Physical volume <span class="string">&#x27;/dev/sdb&#x27;</span> is already <span class="keyword">in</span> volume group <span class="string">&#x27;ceph-616760d9-7c3b-4b18-b747-b4c251125a0c&#x27;</span></span><br><span class="line">[yz-node1][WARNIN]   Unable to add physical volume <span class="string">&#x27;/dev/sdb&#x27;</span> to volume group <span class="string">&#x27;ceph-616760d9-7c3b-4b18-b747-b4c251125a0c&#x27;</span></span><br><span class="line">[yz-node1][WARNIN]   /dev/sdb: physical volume not initialized.</span><br><span class="line">[yz-node1][WARNIN] --&gt; Was unable to complete a new OSD, will rollback changes</span><br><span class="line">[yz-node1][WARNIN] Running <span class="built_in">command</span>: /bin/ceph --cluster ceph --name client.bootstrap-osd --keyring /var/lib/ceph/bootstrap-osd/ceph.keyring osd purge-new osd.0 --yes-i-really-mean-it</span><br><span class="line">[yz-node1][WARNIN]  stderr: purged osd.0</span><br><span class="line">[yz-node1][WARNIN] --&gt;  RuntimeError: <span class="built_in">command</span> returned non-zero <span class="built_in">exit</span> status: 5</span><br><span class="line">[yz-node1][ERROR ] RuntimeError: <span class="built_in">command</span> returned non-zero <span class="built_in">exit</span> status: 1</span><br><span class="line">[ceph_deploy.osd][ERROR ] Failed to execute <span class="built_in">command</span>: /usr/sbin/ceph-volume --cluster ceph lvm create --filestore --data /dev/sdb --journal /dev/sda4</span><br><span class="line">[ceph_deploy][ERROR ] GenericError: Failed to create 1 OSDs</span><br><span class="line"></span><br><span class="line"><span class="comment"># 解决方法：</span></span><br><span class="line">[root@yz-node1 ceph]<span class="comment"># lvm</span></span><br><span class="line">lvm&gt; pvs</span><br><span class="line">  PV         VG                                        Fmt  Attr PSize   PFree</span><br><span class="line">  /dev/sda3  centos                                    lvm2 a--  206.00g 4.00m</span><br><span class="line">  /dev/sdb   ceph-616760d9-7c3b-4b18-b747-b4c251125a0c lvm2 a--   &lt;7.28t    0 </span><br><span class="line">  /dev/sdc   ceph-b2a9aa97-e37d-4f79-8ae7-6f5867c62335 lvm2 a--   &lt;7.28t    0 </span><br><span class="line">  /dev/sdd   ceph-9312a3e7-07bb-4f38-80cb-c8ea7418b5c1 lvm2 a--   &lt;7.28t    0 </span><br><span class="line">  /dev/sdf   ceph-afba9740-8e9c-4f19-abe5-0815893b51ca lvm2 a--   &lt;7.28t    0 </span><br><span class="line">  /dev/sdg   ceph-c887e4c8-5480-4934-ae7a-2e30b9816f27 lvm2 a--   &lt;7.28t    0 </span><br><span class="line">  /dev/sdh   ceph-3751ad8f-2c52-4d5b-a0fb-f4f660951749 lvm2 a--   &lt;7.28t    0 </span><br><span class="line">  /dev/sdi   ceph-9527d47a-84e9-457d-b346-832adbf4ac88 lvm2 a--   &lt;7.28t    0 </span><br><span class="line">  /dev/sdj   ceph-085416d0-c77e-4c64-96ea-d915794f881c lvm2 a--   &lt;7.28t    0 </span><br><span class="line">  /dev/sdk   ceph-befdb236-4571-426f-99a1-2529fcca1955 lvm2 a--   &lt;7.28t    0 </span><br><span class="line">  /dev/sdl   ceph-23355e81-4674-4cd4-a2a4-bd48015b31d0 lvm2 a--   &lt;7.28t    0 </span><br><span class="line">  /dev/sdm   ceph-40e03345-b6bf-4eba-af27-5baab0d1e40b lvm2 a--   &lt;7.28t    0 </span><br><span class="line">lvm&gt; pvcreate -ff /dev/sdb	<span class="comment"># 强制初始化</span></span><br><span class="line">...</span><br><span class="line">lvm&gt; pvcreate -ff /dev/sdm</span><br><span class="line">lvm&gt; pvremove /dev/sdb		<span class="comment"># 该命令为删除物理卷</span></span><br><span class="line">...</span><br><span class="line">lvm&gt; pvremove /dev/sdm</span><br><span class="line">lvm&gt; pvs</span><br><span class="line">  PV         VG     Fmt  Attr PSize   PFree</span><br><span class="line">  /dev/sda3  centos lvm2 a--  206.00g 4.00m</span><br><span class="line"><span class="comment"># 当sd磁盘不存在时说明已解决</span></span><br><span class="line">[root@yz-node1 ~]<span class="comment"># lsblk</span></span><br><span class="line">sdb                             8:16   0   7.3T  0 disk </span><br><span class="line">sdc                             8:32   0   7.3T  0 disk </span><br><span class="line">sdd                             8:48   0   7.3T  0 disk </span><br><span class="line">sde                             8:64   0   7.3T  0 disk </span><br><span class="line">sdf                             8:80   0   7.3T  0 disk </span><br><span class="line">sdg                             8:96   0   7.3T  0 disk </span><br><span class="line">sdh                             8:112  0   7.3T  0 disk </span><br><span class="line">sdi                             8:128  0   7.3T  0 disk </span><br><span class="line">sdj                             8:144  0   7.3T  0 disk </span><br><span class="line">sdk                             8:160  0   7.3T  0 disk </span><br><span class="line">sdl                             8:176  0   7.3T  0 disk </span><br><span class="line">sdm                             8:192  0   7.3T  0 disk </span><br><span class="line"></span><br></pre></td></tr></table></figure>
<h3 id="Ceph-集群-WARN-：Long-heartbeat-ping-times-on-back-interface-seen-longest-is-4810-821-msec"><a href="#Ceph-集群-WARN-：Long-heartbeat-ping-times-on-back-interface-seen-longest-is-4810-821-msec" class="headerlink" title="Ceph 集群 WARN ：Long heartbeat ping times on back interface seen, longest is 4810.821 msec"></a>Ceph 集群 WARN ：Long heartbeat ping times on back interface seen, longest is 4810.821 msec</h3><figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br><span class="line">7</span><br><span class="line">8</span><br><span class="line">9</span><br><span class="line">10</span><br><span class="line">11</span><br><span class="line">12</span><br><span class="line">13</span><br><span class="line">14</span><br><span class="line">15</span><br><span class="line">16</span><br><span class="line">17</span><br><span class="line">18</span><br><span class="line">19</span><br></pre></td><td class="code"><pre><span class="line"><span class="comment"># deploy节点执行</span></span><br><span class="line">[root@yz-node1 ceph]<span class="comment"># ceph -s</span></span><br><span class="line">  cluster:</span><br><span class="line">    id:     b185cae9-a5b6-45d9-9342-5e737fdf38d9</span><br><span class="line">    health: HEALTH_WARN</span><br><span class="line">            Long heartbeat ping <span class="built_in">times</span> on back interface seen, longest is 4810.821 msec</span><br><span class="line">            Long heartbeat ping <span class="built_in">times</span> on front interface seen, longest is 4811.218 msec</span><br><span class="line">            clock skew detected on mon.yz-node2, mon.yz-node3</span><br><span class="line">[root@yz-node1 ceph]<span class="comment"># vi ceph.conf</span></span><br><span class="line"><span class="comment"># 修改.ceph文件，在gloabl中补充两条信息</span></span><br><span class="line">mon clock drift allowed = 2</span><br><span class="line">mon clock drift warn backoff = 30</span><br><span class="line">[root@yz-node1 ceph]<span class="comment"># ceph-deploy --overwrite-conf config push yz-node1 yz-node2 yz-node3</span></span><br><span class="line">[root@yz-node1 ceph]<span class="comment"># systemctl daemon-reload</span></span><br><span class="line">[root@yz-node1 ceph]<span class="comment"># systemctl restart ceph-mon@mon.targe</span></span><br><span class="line"></span><br><span class="line"><span class="comment"># mon.yz-node2, mon.yz-node3执行</span></span><br><span class="line">[root@yz-node1 ceph]<span class="comment"># ntpdate 220.250.70.60</span></span><br><span class="line">如果恢复不了，卸载ntpdate重新下载并同步时间</span><br></pre></td></tr></table></figure>
<h3 id="Ceph-集群-WARN-：application-not-enabled-on-1-pool-s"><a href="#Ceph-集群-WARN-：application-not-enabled-on-1-pool-s" class="headerlink" title="Ceph 集群 WARN ：application not enabled on 1 pool(s)"></a>Ceph 集群 WARN ：application not enabled on 1 pool(s)</h3><figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br><span class="line">7</span><br><span class="line">8</span><br><span class="line">9</span><br><span class="line">10</span><br><span class="line">11</span><br><span class="line">12</span><br><span class="line">13</span><br><span class="line">14</span><br><span class="line">15</span><br><span class="line">16</span><br><span class="line">17</span><br></pre></td><td class="code"><pre><span class="line"><span class="comment"># deploy节点执行</span></span><br><span class="line">[root@yz-node1 data]<span class="comment"># ceph -s</span></span><br><span class="line">  cluster:</span><br><span class="line">    id:     b185cae9-a5b6-45d9-9342-5e737fdf38d9</span><br><span class="line">    health: HEALTH_WARN</span><br><span class="line">            application not enabled on 1 pool(s)</span><br><span class="line">[root@yz-node1 data]<span class="comment"># ceph health detail</span></span><br><span class="line">HEALTH_WARN application not enabled on 1 pool(s)</span><br><span class="line">POOL_APP_NOT_ENABLED application not enabled on 1 pool(s)</span><br><span class="line">    application not enabled on pool <span class="string">&#x27;images&#x27;</span></span><br><span class="line">    </span><br><span class="line">[root@yz-node1 data]<span class="comment"># ceph osd pool application enable &#123;poolname&#125; rbd</span></span><br><span class="line"></span><br><span class="line">[root@yz-node1 data]<span class="comment"># ceph -s</span></span><br><span class="line">  cluster:</span><br><span class="line">    id:     b185cae9-a5b6-45d9-9342-5e737fdf38d9</span><br><span class="line">    health: HEALTH_OK</span><br></pre></td></tr></table></figure>
</article><div class="post-copyright"><div class="post-copyright__author"><span class="post-copyright-meta">文章作者: </span><span class="post-copyright-info"><a href="mailto:undefined">ZuSir</a></span></div><div class="post-copyright__type"><span class="post-copyright-meta">文章链接: </span><span class="post-copyright-info"><a href="http://example.com/2021/02/05/Ceph-%E6%8A%A5%E9%94%99/">http://example.com/2021/02/05/Ceph-%E6%8A%A5%E9%94%99/</a></span></div><div class="post-copyright__notice"><span class="post-copyright-meta">版权声明: </span><span class="post-copyright-info">本博客所有文章除特别声明外，均采用 <a href="https://creativecommons.org/licenses/by-nc-sa/4.0/" target="_blank">CC BY-NC-SA 4.0</a> 许可协议。转载请注明来自 <a href="http://example.com" target="_blank">SeMaik</a>！</span></div></div><div class="tag_share"><div class="post-meta__tag-list"></div><div class="post_share"><div class="social-share" data-image="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg" data-sites="facebook,twitter,wechat,weibo,qq"></div><link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/social-share.js/dist/css/share.min.css" media="print" onload="this.media='all'"><script src="https://cdn.jsdelivr.net/npm/social-share.js/dist/js/social-share.min.js" defer></script></div></div><nav class="pagination-post" id="pagination"><div class="prev-post pull-left"><a href="/2021/02/05/Linux%E5%81%9ABr%E6%A1%A5%E6%8E%A5%E7%BD%91%E5%8D%A1/"><img class="prev-cover" src="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg" onerror="onerror=null;src='/img/123.jpeg'" alt="cover of previous post"><div class="pagination-info"><div class="label">上一篇</div><div class="prev_info">Linux物理网卡做Br桥接卡</div></div></a></div><div class="next-post pull-right"><a href="/2021/02/05/Kolla-ansible%E5%AE%B9%E5%99%A8%E5%8C%96%E9%83%A8%E7%BD%B2Openstack-Ceph/"><img class="next-cover" src="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg" onerror="onerror=null;src='/img/123.jpeg'" alt="cover of next post"><div class="pagination-info"><div class="label">下一篇</div><div class="next_info">Kolla-ansible容器化部署Openstack+Ceph</div></div></a></div></nav></div><div class="aside-content" id="aside-content"><div class="card-widget card-info"><div class="card-info-avatar is-center"><img class="avatar-img" src="/img/123.jpeg" onerror="this.onerror=null;this.src='/img/123.jpeg'" alt="avatar"/><div class="author-info__name">ZuSir</div><div class="author-info__description">一个收藏回忆与分享技术的地方!</div></div><div class="card-info-data"><div class="card-info-data-item is-center"><a href="/archives/"><div class="headline">文章</div><div class="length-num">152</div></a></div><div class="card-info-data-item is-center"><a href="/categories/"><div class="headline">分类</div><div class="length-num">37</div></a></div></div></div><div class="card-widget card-announcement"><div class="item-headline"><i class="fas fa-bullhorn card-announcement-animation"></i><span>公告</span></div><div class="announcement_content">This is my Blog! <img src="https://ss0.bdstatic.com/70cFuHSh_Q1YnxGkpoWK1HF6hhy/it/u=3894415926,2787041726&fm=26&gp=0.jpg"></div></div><div class="sticky_layout"><div class="card-widget" id="card-toc"><div class="item-headline"><i class="fas fa-stream"></i><span>目录</span></div><div class="toc-content"><ol class="toc"><li class="toc-item toc-level-3"><a class="toc-link" href="#ceph-deploy-mon-create-initial%E6%8A%A5%E9%94%99"><span class="toc-number">1.</span> <span class="toc-text">ceph-deploy mon create-initial报错</span></a></li><li class="toc-item toc-level-3"><a class="toc-link" href="#osd%E4%B8%8D%E8%B6%B3%E4%B8%89%E4%B8%AA%E5%AF%BC%E8%87%B4Ceph-WARN"><span class="toc-number">2.</span> <span class="toc-text">osd不足三个导致Ceph WARN</span></a></li><li class="toc-item toc-level-3"><a class="toc-link" href="#Ceph-%E9%9B%86%E7%BE%A4-WARN-%EF%BC%9Amon-host-node3"><span class="toc-number">3.</span> <span class="toc-text">Ceph 集群 WARN ：mon.host-node3</span></a></li><li class="toc-item toc-level-3"><a class="toc-link" href="#%E9%85%8D%E7%BD%AEosd%E6%97%B6%E5%87%BA%E7%8E%B0%E4%BB%A5%E4%B8%8B%E9%97%AE%E9%A2%98"><span class="toc-number">4.</span> <span class="toc-text">配置osd时出现以下问题</span></a></li><li class="toc-item toc-level-3"><a class="toc-link" href="#Ceph-%E9%9B%86%E7%BE%A4-WARN-%EF%BC%9ALong-heartbeat-ping-times-on-back-interface-seen-longest-is-4810-821-msec"><span class="toc-number">5.</span> <span class="toc-text">Ceph 集群 WARN ：Long heartbeat ping times on back interface seen, longest is 4810.821 msec</span></a></li><li class="toc-item toc-level-3"><a class="toc-link" href="#Ceph-%E9%9B%86%E7%BE%A4-WARN-%EF%BC%9Aapplication-not-enabled-on-1-pool-s"><span class="toc-number">6.</span> <span class="toc-text">Ceph 集群 WARN ：application not enabled on 1 pool(s)</span></a></li></ol></div></div><div class="card-widget card-recent-post"><div class="item-headline"><i class="fas fa-history"></i><span>最新文章</span></div><div class="aside-list"><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94%E9%83%A8%E7%BD%B2Zabbix-Server5-0/" title="Shell程序——部署Zabbix-ServerV5.0">Shell程序——部署Zabbix-ServerV5.0</a><time datetime="2022-02-17T03:32:00.000Z" title="发表于 2022-02-17 11:32:00">2022-02-17</time></div></div><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94%E9%83%A8%E7%BD%B2Harbor/" title="Shell程序——部署Harbor">Shell程序——部署Harbor</a><time datetime="2022-02-17T03:31:00.000Z" title="发表于 2022-02-17 11:31:00">2022-02-17</time></div></div><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94Mysql%E5%A4%87%E4%BB%BD/" title="Shell程序——Mysql备份">Shell程序——Mysql备份</a><time datetime="2022-02-17T03:30:00.000Z" title="发表于 2022-02-17 11:30:00">2022-02-17</time></div></div><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94%E6%89%B9%E9%87%8F%E4%BF%9D%E5%AD%98Docker-image/" title="Shell程序——批量保存Docker_image">Shell程序——批量保存Docker_image</a><time datetime="2022-02-17T03:29:00.000Z" title="发表于 2022-02-17 11:29:00">2022-02-17</time></div></div><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94%E5%85%A8%E6%AE%B5IP%E6%89%AB%E6%8F%8F/" title="Shell程序——全段IP扫描">Shell程序——全段IP扫描</a><time datetime="2022-02-17T03:28:00.000Z" title="发表于 2022-02-17 11:28:00">2022-02-17</time></div></div></div></div></div></div></main><footer id="footer"><div id="footer-wrap"><div class="copyright">&copy;2020 - 2022 By ZuSir</div><div class="framework-info"><span>框架 </span><a target="_blank" rel="noopener" href="https://hexo.io">Hexo</a><span class="footer-separator">|</span><span>主题 </span><a target="_blank" rel="noopener" href="https://github.com/jerryc127/hexo-theme-butterfly">Butterfly</a></div></div></footer></div><div id="rightside"><div id="rightside-config-hide"><button id="readmode" type="button" title="阅读模式"><i class="fas fa-book-open"></i></button><button id="hide-aside-btn" type="button" title="单栏和双栏切换"><i class="fas fa-arrows-alt-h"></i></button></div><div id="rightside-config-show"><button id="rightside_config" type="button" title="设置"><i class="fas fa-cog fa-spin"></i></button><button class="close" id="mobile-toc-button" type="button" title="目录"><i class="fas fa-list-ul"></i></button><button id="go-up" type="button" title="回到顶部"><i class="fas fa-arrow-up"></i></button></div></div><div><script src="/js/utils.js"></script><script src="/js/main.js"></script><div class="js-pjax"></div><script defer="defer" id="fluttering_ribbon" mobile="true" src="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/dist/canvas-fluttering-ribbon.min.js"></script><script async data-pjax src="//busuanzi.ibruce.info/busuanzi/2.3/busuanzi.pure.mini.js"></script></div></body></html>